from flask import Flask
from .routes.itv import itv_bp
from .routes.livingabroadtv import livingabroadtv_bp
from .routes.skyit import skyit_bp
from .routes.allsport import allsport_bp
from .routes.yos512 import yos512_bp
from .routes.duktek import duktek_bp

def create_app():
    app = Flask(__name__)
    
    app.register_blueprint(itv_bp)
    app.register_blueprint(livingabroadtv_bp)
    app.register_blueprint(skyit_bp)
    app.register_blueprint(allsport_bp)
    app.register_blueprint(yos512_bp)
    app.register_blueprint(duktek_bp)
    
    return app
